#pragma once

#include "ofMain.h"
#include "ofxImGui.h"

class ofApp : public ofBaseApp {
public:
	void setup();
	void update();
	void draw();
	void drawGui(int x, int y, int w, int h);

	void mousePressed(int x, int y, int button);
	void keyReleased(int key);

private:
	ofImage imgMain;
	ofxImGui::Gui gui;
	std::string inputPath;
	std::string imgDescr = "";
	std::vector<std::string> imgNamesForListBox;
	std::stringstream tempStrStream;
	int indexImgFile = -1;
	int prevIndexImgFile = -1;
};
